%global momorel 2
%global qtver 4.5.2

Summary: A graphical tool for creating and tone-mapping HDR images
Name: qtpfsgui
Version: 1.9.3
Release: %{momorel}m%{?dist}
License: GPLv2
URL: http://qtpfsgui.sourceforge.net/
Group: Applications/Multimedia
Source0: http://dl.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz
NoSource: 0
Patch0: %{name}-%{version}-desktop.patch
Patch1: %{name}-%{version}-hdr-save.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: dcraw
Requires: hugin-base
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: ImageMagick
BuildPreReq: OpenEXR-devel
BuildPreReq: coreutils
BuildPreReq: desktop-file-utils
BuildPreReq: exiv2-devel
BuildPreReq: fftw-devel
BuildPreReq: libjpeg-devel
BuildPreReq: libtiff-devel

%description
Qtpfsgui is a graphical program for assembling bracketed photos into High
Dynamic Range (HDR) images.  It also provides a number of tone-mapping
operators for creating low dynamic range versions of HDR images.

%prep
%setup -q

%patch0 -p1 -b .desktop-ja
%patch1 -p1 -b .enable-save

%build
qmake-qt4 PREFIX=%{_prefix}

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install INSTALL_ROOT=%{buildroot}

# install and link icons
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,22x22,48x48,64x64,128x128}/apps
convert -scale 16x16 images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
convert -scale 22x22 images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/22x22/apps/%{name}.png
convert -scale 48x48 images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
convert -scale 64x64 images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
convert -scale 128x128 images/%{name}.svg %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
mkdir -p %{buildroot}%{_datadir}/pixmaps
ln -s ../icons/hicolor/48x48/apps/%{name}.png %{buildroot}%{_datadir}/pixmaps/%{name}.png

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS Changelog INSTALL LICENSE README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png

%changelog
* Sun Dec  6 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.3-2m)
- Requires: hugin-base for "Auto Align Images"

* Thu Dec  3 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.9.3-1m)
- initial package for photo freaks using Momonga Linux
- import hdr-save.patch from gentoo
 +- 23 May 2009; Markus Meier <maekke@gentoo.org> qtpfsgui-1.9.3.ebuild,
 +- +files/qtpfsgui-1.9.3-hdr-save.patch:
 +- fix saving of hdr files
